Skip to navigation

List Jurisdiction Tax Types And Sub Types

View as Markdown

Access control: this endpoint is available to users with the everyone role.

Returns a list of tax type and subtype groups, and optionally the available rate types for each group, applicable for a given jurisdiction.

This API lets you filter tax types and rate types based on whether they may apply in a given jurisdiction and provides a description of each.

If a company ID is provided, then only the tax types for which the company has nexus are shown.

If custom content is included, then all available custom tax types are included in the result if the calling user has the appropriate subscription and the tax types are available in the jurisdiction’s country.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

countrystringRequired

ISO country code (e.g. US)

regionstringRequired

ISO region or state/province code (e.g. CA for California)

jurisdictionTypeIdstringRequired

Jurisdiction type identifier (e.g. STA for state)

jurisdictionCodestringRequired
Code identifying a specific jurisdiction

Headers

X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0

Identifies the software you are using to call this API. For more information on the client header, see Client Headers .

Query parameters

companyIdintegerOptional

Optional query parameter. When set, tax type/subtype pairs are filtered to those which correspond to the company’s configured nexus. When omitted, no nexus-based filtering is applied.

effectiveDatedatetimeOptional
Optional query parameter. When companyId is not provided, this is the date used to filter effective tax types and rate types. Defaults to the current date.
$topintegerOptional

If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.

$skipintegerOptional

If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets.

$orderBystringOptional

A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC.

$filterstringOptional

A filter statement to identify specific records to retrieve. For more information on filtering, see Filtering in REST.
Not filterable: rateTypes

$includeCustomContentbooleanOptionalDefaults to false

When true, merges in potentially applicable custom tax types and subtypes into result (i.e. for which no system content is defined). Defaults to false.

$includeRateTypesbooleanOptionalDefaults to true

Query parameter $includeRateTypes. When true (default), returns the rate types available for each tax type + subtype pair in the result.

Response

Success
@recordsetCountintegerOptional
valuelist of objectsOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error